<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />

    <script src="/static/js/public/reset.js"></script>
    <link href="/static/css/public/reset.css" rel="stylesheet" />
    <link href="/static/css/public/public.css" rel="stylesheet" />
    <link href="/static/css/public/swiper.css" rel="stylesheet" />
    <link href="/static/css/36484/1.css" rel="stylesheet" />

    <title>法国冰尚</title>
    <style>
        .content {
            display: none;
        }

        .info {
            display: none;
        }
    </style>
</head>

<body>
    <div class="start" id="start">
        <img src="/static/images/36484/1/bg.jpg" style="width: 100%;">
        <!-- <img src="/static/images/36484/1/3.png" class="bg1">
        <img src="/static/images/36484/1/5.png" class="bg2"> -->
        <div class="loading">
            <img src="/static/images/36484/1/2.png" style="width: 70%;">
            <div class="loading-container" id="loading-container">
                <div class="loading-wrapper">
                    <div class="loading-inner" id="loading_inner"></div>
                </div>
                <p class="loading_info"><span>正在为您查询中，请稍后…</span>
                    <!-- <span id="loading_info">2%</span> -->
                </p>
            </div>
            <!--加载-->
            <script>
                var oLoading_inner = document.getElementById("loading_inner"),
                    // oLoading_info = document.getElementById("loading_info"),
                    oLoding_width = 0,
                    num = 1;
                var timer = setInterval(function () {
                    oLoding_width += num;
                    if (oLoding_width > 100) {
                        oLoding_width = 100;
                        clearInterval(timer);
                    }
                    oLoading_inner.style.width = oLoding_width + "%";
                    // oLoading_info.innerText = oLoding_width + "%";
                    num = Math.floor(Math.random() * 5);
                }, 200);
            </script>
        </div>
    </div>
    <div class="content" id="content">
        <div class="swiper-container block" id="swiper">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <img src="/static/images/36484/1/top_img.jpg" class="top_img" />
                </div>
            </div>
            <!-- <div class="swiper-pagination"></div> -->
        </div>
        <div class="info block">
            <div style="margin: 0 1.4rem;">
                <img src="/static/images/36484/1/logo.png" style="width: 5rem;">
            </div>
            <div class="detail">
                <div style="display: flex;width: 100%;">
                    <div class="title">产品名称：</div>
                    <div></div>
                </div>
                <div style="display: flex;width: 100%;">
                    <div class="title">净含量：</div>
                    <div></div>
                </div>
                <div style="display: flex;width: 100%;">
                    <div class="title">酒精度：</div>
                    <div></div>
                </div>
            </div>
        </div>
        <div class="block">
            <div class="verify pb">
                <div class="input">
                    <input type="text" placeholder="输入一瓶一码号查询真伪" id="code">
                    <div class="confirm" id="confirm">验证</div>
                </div>
                <div class="tips">
                    <div class="wxts">
                        <img src="/static/images/36484/1/tip.png">
                        <h1>温馨提示：</h1>
                    </div>
                    <p id="tips">中粮法国冰尚一瓶一身份号码，请输入12位身份号码进行验证。</p>
                </div>
            </div>
            <div class="verify xb">
                <div class="input">
                    <input type="text" placeholder="输入一箱一码号查询窜货" id="code-xb">
                    <div class="confirm" id="confirm-xb">验证</div>
                </div>
                <div class="tips">
                    <div class="wxts">
                        <img src="/static/images/36484/1/tip.png">
                        <h1>温馨提示：</h1>
                    </div>
                    <p>中粮法国冰尚一箱一身份号码，请输入12位身份号码进行查询。</p>
                </div>
            </div>
            <div class="access">
                <div class="">
                    <div class="tag">
                        <img src="/static/images/36484/1/15.png" style="margin: 1rem 0.4rem 1rem 0;">
                    </div>
                    <p>您所查询的产品为法国原瓶进口法国冰尚干红葡萄酒正品产品，请放心饮用。</p>
                </div>
                <div class="" style="display: none;">
                    <div class="wuliu">
                        <p>您所查询的产品为：<span id="product_name"></span></p>
                        <p>授权经销商：<span id="agent_name"></span></p>
                    </div>
                    <p>您所查询的产品为法国原瓶进口法国冰尚干红葡萄酒正品产品，请放心饮用。</p>
                </div>
            </div>
            <div class="non-access">
                <div class="tag">
                    <img src="/static/images/36484/1/17.png" style="margin: 2rem 0.2rem 1rem 0;">
                </div>
                <p>温馨提示：</p>
                <p>您所查询的产品验证码有误，请在正规授权渠道购买，避免给您带来不必要的损失，谢谢您的支持。</p>
            </div>
        </div>
        <div class="btns block">
            <div class="btn" id="qy">
                <img src="/static/images/36484/1/qy.png">
                <p>企业简介</p>
            </div>
            <div class="btn" id="pp">
                <img src="/static/images/36484/1/cp.png">
                <p>品牌优势</p>
            </div>
            <div class="btn" id="lx">
                <img src="/static/images/36484/1/lx.png">
                <p>联系我们</p>
            </div>
        </div>
    </div>
    <div class="content" id="content2">
        <img src="/static/images/36484/1/b.png" class="back" id="back">
        <div class="swiper-container block" id="swiper">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <img src="/static/images/36484/1/top2.jpg" class="top_img" />
                </div>
            </div>
        </div>
        <div class="qyjj page">
            <div class="img">
                <img src="/static/images/36484/1/qyjj.png">
            </div>
            <p>
                中粮名庄荟国际酒业有限公司（COFCOW&WInt-ernationalCo.,Ltd.）是世界500强企业中粮集团旗下公司，传承中粮集团全“产业链”战略，中粮名庄荟联合法国朗格多克奥克产区倾力打造法国“冰尚”IFS95简称：“冰尚”、“IFS95”干红葡萄酒战略大单品。
            </p>
            <p>
                公司多年来对品牌的打造只有专业才能专注，公司不断的研究探索对市场调研，公司授权（职业经理人）一加三品牌管理公司为法国“冰尚”IFS95简称：“冰尚”“IFS95”干红葡萄品牌全权管理和市场服务，打造战略大单品之一。
            </p>
        </div>
        <div class="lxwm page">
            <div class="img"><img src="/static/images/36484/1/lxwm.png"></div>
            <div class="list">
                <p><span>全国服务热线：</span>400-601-3066</p>
                <p>周一至周五09:00~17:00 法定节假日除外</p>
                <p><span>邮箱：</span>zlfgbs@163.com</p>
                <p><span>邮编：</span>610011</p>
                <p><span>地址：</span>中国成都西部国际金融中心2号楼</p>
            </div>
        </div>
        <div class="ppys page block">
            <p class="tt">6大优势</p>
            <img src="/static/images/36484/1/6ys.jpg" style="width: 98%;">
        </div>
    </div>
    <script src="https://res.wx.qq.com/open/js/jweixin-1.2.0.js"></script>
    <script src="/static/js/jquery-2.1.0.min.js"></script>
    <script src="/static/js/public/public.js"></script>
    <script src="/static/js/public/swiper.js"></script>
    <script>
         
        // tj_public.wxInit({
        //     wx_officail_account_id: 6,
        //     url: window.location.href
        // })

        $(function(){
            var pkg = tj_public.getCookie('package');
            var code = tj_public.getCookie('label_code');
            if (pkg === '3') {
                $('.pb').hide();
                $('.xb').show();
            } 

            // wx.ready(function () {
            //     tj_public.getAddress(function (lat, lng) {
            //         getInfo(lat, lng)
            //     })
            // })
            // wx.error(function (res) {
            //     getInfo(0, 0)
            // });

            getInfo(0,0)
            function getInfo(lat, lng) {
                $.ajax({
                    url: '/wx/label/scan_record/',
                    data: { lat: lat, lng: lng, compid: 36484, fwcode: code },
                    success: function (res) {
                        loadingHide();
                        if (res.e === '') {
                            $("#cpidSpan").text(res.code);
                            $("#queryNum").text(res.cnt);
                            $("#firstTime").text(res.tm_1st); 
                            $("#agent_name").text(res.agent_name); 
                            $("#product_name").text(res.product_name); 
                        } else {
                            alert('网络超时！')
                        }
                    }, error: function () {
                        loadingHide();
                        alert('网络超时！')
                    }
                })
            }
			
			
			
			function loadingHide() {
				clearInterval(timer);
				oLoading_inner.style.width = "100%";
				// oLoading_info.innerText = "100%";
				setTimeout(function () {
					$('#start').hide();
					$('#content').show();
				}, 1000);
			}

			$('.btn').on('click', function () {
				$('#content').hide();
				$('.page').hide();
				$('#content2').show();
			})

			$('#qy').on('click', function () {
				$('.qyjj').show();
			})

			$('#pp').on('click', function () {
				$('.ppys').show();
			})

			$('#lx').on('click', function () {
				$('.lxwm').show();
			})

			$('#back').on('click', function () {
				$('#content2').hide();
				$('#content').show();
			})

			$('#confirm').on('click', function () {
				var value = $('#code').val();
				if (value.length != 12) {
					alert('请输入12位验证码');
				}
				else if (value == code) {
					$('.verify').hide();
					$('.non-access').hide();
					$('.access').show();
				}
				else {
					$('.tips').hide();
					$('.non-access').show();
				}
			})
			$('#confirm-xb').on('click', function () {
				var value = $('#code-xb').val();
				if (value.length != 12) {
					alert('请输入12位验证码');
				}
				else if (value == code) {
					$('.verify').hide();
					$('.non-access').hide();
					$('.access').show();
				}
				else {
					$('.tips').hide();
					$('.non-access').show();
				}
			})


        }); 
 


    </script>
</body>

</html>